<?php

// ===========================blog page =================================//
$wp_customize->add_section('neatnote_blog_page_setting', array(
    'title' => esc_html__('Blog Page Setting','neatnote'),
    'priority' => 30,
    'panel' => 'neatnote_theme_options_panel',
));
$wp_customize->add_setting('neatnote_blog_banner_title', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
));

$wp_customize->add_control('neatnote_blog_banner_title', array(
    'label' => esc_html__('Banner Title','neatnote'),
    'section' => 'neatnote_blog_page_setting',
    'type' => 'text',
));
$wp_customize->add_setting('neatnote_blog_banner_description', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_textarea_field',
));

$wp_customize->add_control('neatnote_blog_banner_description', array(
    'label' => esc_html__('Banner Description','neatnote'),
    'section' => 'neatnote_blog_page_setting',
    'type' => 'textarea',
));

$wp_customize->add_setting('neatnote_blog_banner_image', array(
    'default' => '',
    'sanitize_callback' => 'esc_url_raw',
));

$wp_customize->add_control(new WP_Customize_Image_Control(
    $wp_customize,
    'neatnote_blog_banner_image',
    array(
        'label' => esc_html__('Banner Image','neatnote'),
        'section' => 'neatnote_blog_page_setting',
        'settings' => 'neatnote_blog_banner_image',
        'description' => esc_html__('Upload an image for the blog banner.','neatnote'),
    )
));


